/**
 * Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 *
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content."
 */

import React, { ReactElement, useState } from "react";
import { useTranslation } from "react-i18next";
import { Icon } from "semantic-ui-react";
import { ReactComponent as SupportHeadsetIcon } from "../../assets/images/icons/support-headset-icon.svg";
import { Config } from "../../../features/core/configs";

export default (): ReactElement => {

    return (
        <>  
            { Config.getDeploymentConfig().helpCenterURL &&
                <div 
                    className="help-center-component" 
                    onClick={ () => window.location.href=Config.getDeploymentConfig().helpCenterURL }
                >
                    <Icon disabled name='question circle'></Icon>
                    Contact Support
                </div>
            }
        </>
    );
};
